<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>detekt report</title>
    <style>
h2 {
  background-color: #666666;
  padding: 0.2em;
  color: #ffffff;
}
h3 {
  background-color:#f8dfdf;
  padding:0.5em;
}
.rule {
  background-color: #dddddd;
  padding: 0.3em;
  font-weight: bold;
}
.description {
  color:#000000;
  padding:0.3em;
}
.location {
  color: #690505;
  font-family: monospace;
}
.message {
  font-size: 0.8em;
  color: #444444;
}
.rule-container {
  border: 0.1em dashed #dddddd;
  padding: 0.1em;
  line-height: 1.5em;
  margin-bottom: 8px;
  margin-top: 8px;
}
pre {
  border: 1px solid #e0e0e0;
  overflow: scroll;
}
.lineno {
  color: #999999;
  background-color: #f0f0f0;
}
.error {
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAYAAACp8Z5+AAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH4AwCFR4T/3uLMgAAADxJREFUCNdNyLERQEAABMCjL4lQwIzcjErpguAL+C9AvgKJDbeD/PRpLdm35Hm+MU+cB+tCKaJW4L4YBy+CAiLJrFs9mgAAAABJRU5ErkJggg==) bottom repeat-x;
}
.exception {
  color: #b60808;
  display: inline-block;
  background-color: #ecdada;
  border-color: #b60808;
  border-radius: 10px;
  border: solid 2px;
  padding-left: 16px;
  padding-right: 16px;
  margin-bottom: 16px;
}
</style>
</head>
<body>

<h1>detekt report</h1>

<h2>Metrics</h2>

<div>
  <ul>
    <li>number of kt files: 84</li>
    <li>number of packages: 37</li>
    <li>number of classes: 86</li>
    <li>number of functions: 313</li>
    <li>number of properties: 407</li>
  </ul>
</div>


<h2>Complexity Report</h2>

<div>
  <ul>
    <li>- 4099 lines of code (loc)</li>
    <li>- 3137 source lines of code (sloc)</li>
    <li>- 2115 logical lines of code (lloc)</li>
    <li>- 287 comment lines of code (cloc)</li>
    <li>- 508 McCabe complexity (mcc)</li>
    <li>- 0 number of total code smells</li>
    <li>- 9 % comment source ratio</li>
    <li>- 240 mcc per 1000 lloc</li>
    <li>- 0 code smells per 1000 lloc</li>
  </ul>
</div>


<h2>Findings</h2>
<div></div>


</body>
</html>
